%define upstream_build 3672

Summary:	Generic USB CCID smart card reader driver
Name:		ccid
Version:	1.4.5
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://pcsclite.alioth.debian.org/ccid.html

Source0:	https://alioth.debian.org/download.php/%{upstream_build}/%{name}-%{version}.tar.bz2
Patch0:		ccid-libtool_fixes.diff

BuildRequires:	libpcsclite-devel >= 1.6.5
BuildRequires:	libusb-devel

Requires:	pcsc-lite

%description
Generic USB CCID (Chip/Smart Card Interface Devices) driver for use with the
PC/SC Lite daemon.


%prep
%setup -q 
%patch0 -p1 -b .libtool_fixes
autoreconf -fis


%build
%configure2_5x --enable-twinserial

%make


%install
%makeinstall_std
cp -p src/openct/LICENSE LICENSE.openct
cp -f src/towitoko/README README.towitoko

# conf file should be placed inside reader.conf.d
mv -f %{buildroot}%{_sysconfdir}/reader.conf.d/libccidtwin %{buildroot}%{_sysconfdir}/reader.conf.d/GemPCTwin-serial.conf

%post
if /bin/mountpoint -q /sys/fs/cgroup/systemd; then
	/bin/systemctl try-restart pcscd.service > /dev/null 2>&1
fi


%postun
if /bin/mountpoint -q /sys/fs/cgroup/systemd; then
	/bin/systemctl try-restart pcscd.service > /dev/null 2>&1
fi


%files
%doc AUTHORS ChangeLog INSTALL README COPYING LICENSE.openct README.towitoko
%config(noreplace) %{_sysconfdir}/reader.conf.d/*.conf
%{_libdir}/pcsc/drivers/ifd-ccid.bundle/
%{_libdir}/pcsc/drivers/serial/


%changelog

* Mon Jan 09 2012 sander85 <sander85> 1.4.5-1.mga2
+ Revision: 194249
- new version: 1.4.5 (spec synced with fedora)

* Sat Apr 23 2011 anssi <anssi> 1.4.1-2.mga1
+ Revision: 89924
- remove invalid GROUP entries from udev rules
- do not call update-reader.conf in post (it has been removed as no
  longer needed)

* Fri Apr 22 2011 ennael <ennael> 1.4.1-1.mga1
+ Revision: 89726
- clean spec file
- imported package ccid

